Subject: [xmpp] Does 6122bis need to update 5122?

From: "Joe Hildebrand (jhildebr)" <[email-masked]>
Date: Fri, 1 Aug 2014 16:55:11 +0000

On 8/1/14, 10:49 AM, "Peter Saint-Andre" <[email-masked]> wrote:

>In that case, we'd specify an XMPP URI (RFC 5122).
>
>Thus I might suggest:
>
>    For an XMPP client [RFC6120] using STUN and TURN, the ORIGIN
>    attribute is an XMPP URI [RFC5122] representing the domainpart
>    of the client's Jabber ID (JID) [RFC6122]; for example, if the
>    client's JID is "[email-masked]/balcony" then the ORIGIN
>    attribute would be "xmpp:im.example.com".

This made me wonder if we need to either rev 5122 to point to 6122bis, or
just have 6122 update 5122 (which I think I'd prefer, so we don't open up
a can of IRI worms).

-- 
Joe Hildebrand

---

From: Ben Campbell <[email-masked]>
Date: Fri, 8 Aug 2014 15:27:10 -0500

Did Peter's comments go to the list? I did not see the original. One comment below:

> just have 6122 update 5122 (which I think I'd prefer, so we don't open up

If we need to do one or the other, I would also lean towards updating 5122 in 6122bis. Reving 5122 just for this seems like overkill.

---

From: "Joe Hildebrand (jhildebr)" <[email-masked]>
Date: Fri, 8 Aug 2014 20:33:56 +0000

I don't think I've seen it on the list.

DMARC problem?

On 8/8/14, 8:27 PM, "Ben Campbell" <[email-masked]> wrote:

>If we need to do one or the other, I would also lean towards updating 
>5122 in 6122bis. Reving 5122 just for this seems like overkill.
>
>
>

-- 
Joe Hildebrand

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 29 Aug 2014 09:39:58 -0600

On 8/8/14, 2:27 PM, Ben Campbell wrote:
> Did Peter's comments go to the list? I did not see the original.

I never replied in this thread. :-)

> One comment below:
>>> attribute is an XMPP URI [RFC5122] representing the domainpart of
>>> the client's Jabber ID (JID) [RFC6122]; for example, if the
>> This made me wonder if we need to either rev 5122 to point to
>> 6122bis, or just have 6122 update 5122 (which I think I'd prefer,
>> so we don't open up a can of IRI worms).

I see this chain:

5122 normatively references 3920
6120 obsoletes 3920
6120 normatively references 6122
6122bis obsoletes 6122

So by following the chain, a reader of 5122 can discover that 6122bis is
the most up-to-date definition of the address format.

> 5122 in 6122bis. Reving 5122 just for this seems like overkill.

Agreed.

Peter